Boomi Platform API Reference (1.0.0) - EnvironmentProcessConfiguration
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
The Environment Process Configuration API manages configurations for individual processes that are deployed to a specific environment, such as an SDK listener worker. It supports viewing, querying, creating, updating, and bulk modification of these configurations. When a configuration is saved or updated, internal messaging is triggered to the runtimes to save the settings to the file system, and the runtime then updates and refreshes the necessary components.
Required Privileges
Read access (GET, QUERY, QUERY-MORE)
Requires any of the following privileges:
- ATOM_MANAGEMENT — Configure and administer integration runtimes.
- ATOM_MANAGEMENT_READ_ONLY — Read only access to runtime configuration and administration.
- ATOM_MANAGEMENT_READ_ONLY_NO_EXTENSIONS — Read only access to runtime configuration and administration, without the ability to view environment extensions.
- ATOM_MANAGEMENT_NO_EXTENSIONS — Configure and administer integration runtimes, without the ability to view or edit environment extensions.
Write access (CREATE, UPDATE, DELETE, BULK)
Requires one of the following privileges:
- ATOM_MANAGEMENT — Configure and administer integration runtimes.
- ATOM_MANAGEMENT_NO_EXTENSIONS — Configure and administer integration runtimes, without the ability to view or edit environment extensions.
The user must also not have the following privilege in the target environment:
- ENV_MANAGEMENT_READ_ACCESS — Read only access to environment configuration and administration.
Retrieves an instance of an EnvironmentProcessConfiguration object
Retrieves the process configuration settings for a single process deployed to the specified environment. The processId and environmentId provided must be valid, and the specified process must already be deployed to the corresponding environment.
Note: This operation also requires the
processIdquery parameter — the ID of the process whose configuration is being retrieved. For example:?processId=bfe8d5d7-d53c-4a93-b09e-779e71a3b412.
Authorizations:
path Parameters
| id required | string Example: 0c4d7b27-95f9-4117-99fe-11fe853e0757 The ID of the environment to which the process is deployed. |
Responses
Response Schema:
| environmentId | string The ID of the environment to which the process is deployed. Required to save, update, or delete a configuration. |
| environmentName | string The name of the environment. Populated by the platform in responses. |
| processId | string The ID of the process associated with this configuration. Required to save, update, or delete a configuration. |
| processName | string The name of the process. Populated by the platform in responses. |
| createdDate | string <date-time> ISO 8601 timestamp of when the configuration was created. Set by the platform. |
| modifiedDate | string <date-time> ISO 8601 timestamp of when the configuration was last modified. Set by the platform. |
object (EnvironmentProcessConfiguration_ListenerConfiguration) Listener-specific configuration settings for a process deployed to an environment. | |
| message | string A confirmation message returned by the platform after a successful CREATE or UPDATE operation. |
Response samples
- 200
- 403
- 410
- 503
{- "environmentId": "0c4d7b27-95f9-4117-99fe-11fe853e0757",
- "environmentName": "Local",
- "processId": "bfe8d5d7-d53c-4a93-b09e-779e71a3b412",
- "processName": "CustomSingleTonConnectorTest",
- "createdDate": "2026-05-05T18:40:07Z",
- "modifiedDate": "2026-05-05T18:40:07Z",
- "listenerConfiguration": {
- "maximumConcurrentExecutions": 5,
- "runInListenWorker": true
}
}Modifies or updates an EnvironmentProcessConfiguration object
Updates the process configuration settings for an existing configuration for the process ID and environment ID the process is deployed to. The processId and environmentId provided must be valid, and the specified process must already be deployed to the corresponding environment.
Authorizations:
path Parameters
| id required | string Example: 0c4d7b27-95f9-4117-99fe-11fe853e0757 The ID of the environment to which the process is deployed. |
Request Body schema: optional
environmentId and processId are required to update an existing configuration. A listenerConfiguration object with maximumConcurrentExecutions and runInListenWorker is also required.
| environmentId | string The ID of the environment to which the process is deployed. Required to save, update, or delete a configuration. |
| environmentName | string The name of the environment. Populated by the platform in responses. |
| processId | string The ID of the process associated with this configuration. Required to save, update, or delete a configuration. |
| processName | string The name of the process. Populated by the platform in responses. |
| createdDate | string <date-time> ISO 8601 timestamp of when the configuration was created. Set by the platform. |
| modifiedDate | string <date-time> ISO 8601 timestamp of when the configuration was last modified. Set by the platform. |
object (EnvironmentProcessConfiguration_ListenerConfiguration) Listener-specific configuration settings for a process deployed to an environment. | |
| message | string A confirmation message returned by the platform after a successful CREATE or UPDATE operation. |
Responses
Response Schema:
| environmentId | string The ID of the environment to which the process is deployed. Required to save, update, or delete a configuration. |
| environmentName | string The name of the environment. Populated by the platform in responses. |
| processId | string The ID of the process associated with this configuration. Required to save, update, or delete a configuration. |
| processName | string The name of the process. Populated by the platform in responses. |
| createdDate | string <date-time> ISO 8601 timestamp of when the configuration was created. Set by the platform. |
| modifiedDate | string <date-time> ISO 8601 timestamp of when the configuration was last modified. Set by the platform. |
object (EnvironmentProcessConfiguration_ListenerConfiguration) Listener-specific configuration settings for a process deployed to an environment. | |
| message | string A confirmation message returned by the platform after a successful CREATE or UPDATE operation. |
Request samples
- Payload
{- "environmentId": "0c4d7b27-95f9-4117-99fe-11fe853e0757",
- "environmentName": "Dev",
- "processId": "bfe8d5d7-d53c-4a93-b09e-779e71a3b412",
- "processName": "CustomSdkListener",
- "listenerConfiguration": {
- "maximumConcurrentExecutions": 10,
- "runInListenWorker": false
}
}Response samples
- 200
- 403
- 410
- 503
{- "environmentId": "0c4d7b27-95f9-4117-99fe-11fe853e0757",
- "environmentName": "Dev",
- "processId": "bfe8d5d7-d53c-4a93-b09e-779e71a3b412",
- "processName": "CustomSdkListener",
- "listenerConfiguration": {
- "maximumConcurrentExecutions": 10,
- "runInListenWorker": false
}, - "message": "Process configuration is updated for the 0c4d7b27-95f9-4117-99fe-11fe853e0757 environment and configuration is sent to the runtimes"
}Deletes an EnvironmentProcessConfiguration object
Deletes the process configuration for the provided process ID and environment ID, if the configuration exists. If you successfully delete the configuration, the response is <true/>.
Note: This operation also requires the
processIdquery parameter — the ID of the process whose configuration is being deleted. For example:?processId=bfe8d5d7-d53c-4a93-b09e-779e71a3b412.
Authorizations:
path Parameters
| id required | string Example: 0c4d7b27-95f9-4117-99fe-11fe853e0757 The ID of the environment to which the process is deployed. |
Responses
Response samples
- 403
- 410
- 503
{- "message": "Access denied due to insufficient permissions."
}Creates an EnvironmentProcessConfiguration object
Saves process configuration settings for a single process ID and the environment ID the process is deployed to. The processId and environmentId provided must be valid, and the specified process must already be deployed to the corresponding environment.
Authorizations:
Request Body schema: optional
environmentId and processId are required to save configurations. A listenerConfiguration object with maximumConcurrentExecutions and runInListenWorker is also required.
| environmentId | string The ID of the environment to which the process is deployed. Required to save, update, or delete a configuration. |
| environmentName | string The name of the environment. Populated by the platform in responses. |
| processId | string The ID of the process associated with this configuration. Required to save, update, or delete a configuration. |
| processName | string The name of the process. Populated by the platform in responses. |
| createdDate | string <date-time> ISO 8601 timestamp of when the configuration was created. Set by the platform. |
| modifiedDate | string <date-time> ISO 8601 timestamp of when the configuration was last modified. Set by the platform. |
object (EnvironmentProcessConfiguration_ListenerConfiguration) Listener-specific configuration settings for a process deployed to an environment. | |
| message | string A confirmation message returned by the platform after a successful CREATE or UPDATE operation. |
Responses
Response Schema:
| environmentId | string The ID of the environment to which the process is deployed. Required to save, update, or delete a configuration. |
| environmentName | string The name of the environment. Populated by the platform in responses. |
| processId | string The ID of the process associated with this configuration. Required to save, update, or delete a configuration. |
| processName | string The name of the process. Populated by the platform in responses. |
| createdDate | string <date-time> ISO 8601 timestamp of when the configuration was created. Set by the platform. |
| modifiedDate | string <date-time> ISO 8601 timestamp of when the configuration was last modified. Set by the platform. |
object (EnvironmentProcessConfiguration_ListenerConfiguration) Listener-specific configuration settings for a process deployed to an environment. | |
| message | string A confirmation message returned by the platform after a successful CREATE or UPDATE operation. |
Request samples
- Payload
{- "environmentId": "0c4d7b27-95f9-4117-99fe-11fe853e0757",
- "environmentName": "Dev",
- "processId": "bfe8d5d7-d53c-4a93-b09e-779e71a3b412",
- "processName": "CustomSdkListener",
- "listenerConfiguration": {
- "maximumConcurrentExecutions": 5,
- "runInListenWorker": true
}
}Response samples
- 200
- 403
- 410
- 503
{- "environmentId": "0c4d7b27-95f9-4117-99fe-11fe853e0757",
- "environmentName": "Dev",
- "processId": "bfe8d5d7-d53c-4a93-b09e-779e71a3b412",
- "processName": "CustomSdkListener",
- "listenerConfiguration": {
- "maximumConcurrentExecutions": 5,
- "runInListenWorker": true
}, - "message": "Process configuration is saved for the 0c4d7b27-95f9-4117-99fe-11fe853e0757 environment and configuration is sent to the runtimes"
}Queries for an EnvironmentProcessConfiguration object(s)
Retrieves the list of configurations for a given environment, if any exist. The request body is optional; when it is not provided, the query fetches all process configurations. For general information about the structure of QUERY filters, their sample payloads, and how to handle the paged results, refer to Query filters and Query paging.
Authorizations:
Request Body schema: optional
Possible properties include: environmentId, processId. The request body is optional; when it is not provided, the query fetches all process configurations.
required | object |
object |
Responses
Response Schema:
| numberOfResults | integer <int32> |
| queryToken | string By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request. |
Array of objects (EnvironmentProcessConfiguration) |
Request samples
- Payload
{- "QueryFilter": {
- "expression": {
- "operator": "EQUALS",
- "property": "environmentId",
- "argument": [
- "0c4d7b27-95f9-4117-99fe-11fe853e0757"
]
}
}
}Response samples
- 200
- 403
- 410
- 503
{- "numberOfResults": 1,
- "result": [
- {
- "environmentId": "0c4d7b27-95f9-4117-99fe-11fe853e0757",
- "environmentName": "Local",
- "processId": "bfe8d5d7-d53c-4a93-b09e-779e71a3b412",
- "processName": "CustomSingleTonConnectorTest",
- "createdDate": "2026-05-05T18:40:07Z",
- "modifiedDate": "2026-05-05T18:49:41Z",
- "listenerConfiguration": {
- "maximumConcurrentExecutions": 10,
- "runInListenWorker": false
}
}
]
}Retrieves additional results for an EnvironmentProcessConfiguration query
If the QUERY response has more than 100 records, use the token from the query response to retrieve the next page. To learn about using queryMore, refer to the topic Query paging.
Authorizations:
Request Body schema: text/plainrequired
Query token from the previous query response used to retrieve the next page of results.
Responses
Response Schema:
| numberOfResults | integer <int32> |
| queryToken | string By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request. |
Array of objects (EnvironmentProcessConfiguration) |
Request samples
- Payload
/nd0PlROcmuUK8MV8KPzCVXwA/pgZZ0NfsYjhqLNyothPzrFIh0OQLP6Hq3ERMSAl38Dz3NV5otJ/0+a....
Response samples
- 200
- 403
- 410
- 503
{- "numberOfResults": 1,
- "result": [
- {
- "environmentId": "0c4d7b27-95f9-4117-99fe-11fe853e0757",
- "environmentName": "Local",
- "processId": "bfe8d5d7-d53c-4a93-b09e-779e71a3b412",
- "processName": "CustomSingleTonConnectorTest",
- "createdDate": "2026-05-05T18:40:07Z",
- "modifiedDate": "2026-05-05T18:49:41Z",
- "listenerConfiguration": {
- "maximumConcurrentExecutions": 10,
- "runInListenWorker": false
}
}
]
}Retrieves multiple EnvironmentProcessConfiguration objects by identifier
Bulk updates or saves process configurations. Each request entry has one environmentId and one or more process configurations.
- Up to 20 unique environments, along with their respective process configurations, can be modified at a time.
- For any individual environmentId, a maximum of 20 process configurations can be updated.
- Duplicate process configurations for the same process are not accepted.
- Duplicate requests targeting the same environmentId are not accepted.
- All provided environmentId and processId values must be valid.
- The specified process must already be deployed to the corresponding environmentId.
Authorizations:
Request Body schema: optional
environmentId and its corresponding process configurations are required for each request entry. Each processConfiguration requires processId, processName, and a listenerConfiguration object with maximumConcurrentExecutions and runInListenWorker.
Array of objects (BulkId) | |
| type | string Enum: "CREATE" "DELETE" "GET" "UPDATE" |
Responses
Response Schema:
Array of objects | |||||||||||
Array
| |||||||||||
Request samples
- Payload
{- "type": "UPDATE",
- "request": [
- {
- "environmentId": "0c4d7b27-95f9-4117-99fe-11fe853e0757",
- "processConfiguration": [
- {
- "processId": "bfe8d5d7-d53c-4a93-b09e-779e71a3b412",
- "processName": "CustomSingleTonConnectorTest",
- "listenerConfiguration": {
- "maximumConcurrentExecutions": 15,
- "runInListenWorker": true
}
}, - {
- "processId": "17dd723a-2ec7-4d00-aa5f-d5105c2bd35c",
- "processName": "SdkSecureListener",
- "listenerConfiguration": {
- "maximumConcurrentExecutions": 2,
- "runInListenWorker": false
}
}
]
}, - {
- "environmentId": "60693f15-922b-4f40-91e0-b8dbd11fe7c2",
- "processConfiguration": [
- {
- "processId": "17dd723a-2ec7-4d00-aa5f-d5105c2bd35c",
- "processName": "SdkSecureListener",
- "listenerConfiguration": {
- "maximumConcurrentExecutions": 5,
- "runInListenWorker": true
}
}
]
}
]
}Response samples
- 200
- 403
- 410
- 503
{- "response": [
- {
- "statusCode": 200,
- "Result": {
- "environmentId": "0c4d7b27-95f9-4117-99fe-11fe853e0757",
- "processConfiguration": [
- {
- "processId": "bfe8d5d7-d53c-4a93-b09e-779e71a3b412",
- "processName": "CustomSingleTonConnectorTest",
- "listenerConfiguration": {
- "maximumConcurrentExecutions": 15,
- "runInListenWorker": true
}
}, - {
- "processId": "17dd723a-2ec7-4d00-aa5f-d5105c2bd35c",
- "processName": "SdkSecureListener",
- "listenerConfiguration": {
- "maximumConcurrentExecutions": 2,
- "runInListenWorker": false
}
}
]
}
}, - {
- "statusCode": 400,
- "errorMessage": "Given process: 17dd723a-2ec7-4d00-aa5f-d5105c2bd35c is not deployed to environment"
}
]
}